#
# Conditional build:
%bcond_without	python2	# CPython 2.x module
%bcond_without	python3	# CPython 3.x module

%define module	pygments
Summary:	A generic syntax highlighter as Python 2.x module
Summary(pl.UTF-8):	Moduł Pythona 2.x do ogólnego podświetlania składni
Name:		python-%{module}
Version:	1.6
Release:	6
License:	BSD
Group:		Development/Languages/Python
Source0:	http://pypi.python.org/packages/source/P/Pygments/Pygments-%{version}.tar.gz
# Source0-md5:	a18feedf6ffd0b0cc8c8b0fbdb2027b1
URL:		http://pygments.org/
%if %{with python2}
BuildRequires:	python
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	python-setuptools
%endif
%if %{with python3}
BuildRequires:	python3
BuildRequires:	python3-2to3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
BuildRequires:	python3-setuptools
%endif
BuildRequires:	rpm-pythonprov
Requires:	python-modules
Requires:	python-setuptools
Provides:	python-Pygments = %{version}-%{release}
Obsoletes:	python-Pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are:
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%package -n python3-%{module}
Summary:	Generic syntax highlighter as Python 3.x module
Summary(pl.UTF-8):	Moduł Pythona 3.x do ogólnego podświetlania składni
Group:		Development/Languages/Python
Requires:	python3-modules
Requires:	python3-setuptools

%description -n python3-%{module}
Pygments is a generic syntax highlighter for general use in all kinds
of software such as forum systems, wikis or other applications that
need to prettify source code. Highlights are
- a wide range of common languages and markup formats is supported
- special attention is paid to details that increase highlighting
  quality
- support for new languages and formats are added easily; most
  languages use a simple regex-based lexing mechanism
- a number of output formats is available, among them HTML, RTF, LaTeX
  and ANSI sequences
- it is usable as a command-line tool and as a library
- ... and it highlights even Brainf*ck!

%description -n python3-%{module} -l pl.UTF-8
Pygments to moduł Pythona do podświetlania składni ogólnego
przeznaczenia we wszelkiego rodzaju programach, takich jaka systemy
forów, wiki i inne plikacje wymagające ładnego wyświetlania kodu
źródłowego. Zalety Pygments to:
- obsługiwany szeroki zakres popularnych języków i formatów znaczników
- zwrócenie szczególnej uwagi na szczegóły zwiększające jakość
  podświetlania
- łatwa obsługa nowych języków i formatów; większość języków
  wykorzystuje prosty mechanizm analizy leksykalnej oparty o wyrażenia
  regularne
- dostępność wielu formatów wyjściowych, m.in. HTML, RTF, LaTeX i
  sekwencje ANSI
- możliwość używania z linii poleceń oraz jako biblioteki
- ...a także - podświetla nawet Brainf*cka!

%prep
%setup -q -n Pygments-%{version}

%build
%if %{with python2}
%{__python} setup.py build -b build-2
%endif

%if %{with python3}
%{__python3} setup.py build -b build-3
%endif

%install
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%{__python} setup.py \
	build -b build-2 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-2}

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_postclean
%endif

%if %{with python3}
%{__python3} setup.py \
	build -b build-3 \
	install \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_bindir}/pygmentize{,-3}
%endif

%if %{with python2}
ln -sf pygmentize-2 $RPM_BUILD_ROOT%{_bindir}/pygmentize
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE TODO
%attr(755,root,root) %{_bindir}/pygmentize
%attr(755,root,root) %{_bindir}/pygmentize-2
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif

%if %{with python3}
%files -n python3-%{module}
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE TODO
%attr(755,root,root) %{_bindir}/pygmentize-3
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/Pygments-%{version}-py*.egg-info
%endif
%changelog
* Wed May 27 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python-pygments.git;a=log;h=master

* Wed May 13 2015 Elan Ruusamäe <glen@delfi.ee> 343e28d
- just any setuptools can do

* Wed May 13 2015 Elan Ruusamäe <glen@delfi.ee> 12a0cba
- always install .egg-info

* Mon May 04 2015 Jan Rękorajski <baggins@pld-linux.org> b9e48fe
- x32 rebuild
- release 5 (by relup.sh)

* Tue Mar 31 2015 Jacek Konieczny <j.konieczny@eggsoft.pl> 2ec992c
- Do not require python-distribute

* Thu Feb 12 2015 Elan Ruusamäe <glen@delfi.ee> ef98914
- requires python-distribute for pkg_resources import

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c3b79ca
- python 3.4
- release 2 (by relup.sh)

* Sat Jul 20 2013 Artur Frysiak <artur@frysiak.net> 50783b2
- Up to 1.6

* Thu Jan 24 2013 Elan Ruusamäe <glen@delfi.ee> 6d0d567
- rebuild for fixed python eggs
- release 3 (by relup.sh)

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6857f1c
- release 2 (by relup.sh)

* Thu Jun 14 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2d7c65a
- updated to 1.5

* Fri Aug 12 2011 Jakub Bogusz <qboosh@pld-linux.org> 8f09c9e
- pl
- revised docs

* Fri Jul 15 2011 Jacek Konieczny <jajcus@pld-linux.org> 2db7c8b
- no %py3_postclean
- Release: 2

* Fri Jun 24 2011 lisu <lisu@pld-linux.org> 4d01398
- P for python-Pygments

* Fri Jun 24 2011 lisu <lisu@pld-linux.org> e986ca6
- merged with python-Pygments

* Thu May 19 2011 cieciwa <cieciwa@pld-linux.org> 0ab78a8
- version 1.4.1,
- release 1,
- updated MD5 sum.

* Tue Apr 05 2011 Jacek Konieczny <jajcus@pld-linux.org> c915eef
- Release: 3
- package the egg-info dirs – without them other python software won't find
  Pygments!

* Sat Aug 28 2010 aredridel <aredridel@pld-linux.org> f40c0f4
- remove egg files from spec, they're not built

* Tue Jul 20 2010 witekfl <witekfl@pld-linux.org> 0cfd7bc
- conditional BRs

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 607a302
- release 2

* Fri May 14 2010 sparky <sparky@pld-linux.org> 2d23140
- BR: python, python-modules, python3, python3-2to3, python3-devel,
  python3-distribute, python3-modules, rpm-pythonprov

